Skip to main content
`Ctrl`+`K`

# TSGLLEAdaptRegister

adds a `TSGLLEAdapt` implementation

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGLLEAdaptRegister(const char sname[], PetscErrorCode (*function)(TSGLLEAdapt))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of user-defined adaptivity scheme

- function - routine to create method context

## Note

`TSGLLEAdaptRegister()` may be called multiple times to add several user-defined families.

## Example Usage

       TSGLLEAdaptRegister("my_scheme", MySchemeCreate);

Then, your scheme can be chosen with the procedural interface via

      TSGLLEAdaptSetType(ts, "my_scheme")

or at runtime via the option

      -ts_adapt_type my_scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSGLLE`, `TSGLLEAdapt`, `TSGLLEAdaptRegisterAll()`

## Level

advanced

## Location

src/ts/impls/implicit/glle/glleadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages